LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 11-28-2005, 03:27 PM   #1
waelaltaqi
Member
 
Registered: Sep 2005
Location: USA, TN
Distribution: CentOS & Ubuntu for Desktop
Posts: 454

Rep: Reputation: 31
Mplayer Installation problem


i'm trying to install Mplayer so i donwloaded two packages :
1- mplayer-1.0pre7try2-2.i386.rpm ( for FC4 )
2- mplayer-gui-1.0pre7try2-2.i386.rpm ( For FC4 )

i installed the first one succefully. Mplayer as a command line player is working fine.
The problem is when i'm trying to install the GUI skin. i'm getting this output :

Code:
[root@FEDORA Downloads]# rpm -i mplayer-gui-1.0pre7try2-2.i386.rpm
warning: mplayer-gui-1.0pre7try2-2.i386.rpm: Header V3 DSA signature: NOKEY, key ID 16a61572
error: Failed dependencies:
        mplayer-skin-default is needed by mplayer-gui-1.0pre7try2-2.i386
So i downloaded mplayer-skin-default-1.4-1.noarch.rpm from rpmfind.net and i'm getting this output :

Code:
[root@FEDORA Downloads]# rpm -i mplayer-gui-1.0pre7try2-2.i386.rpm
warning: mplayer-gui-1.0pre7try2-2.i386.rpm: Header V3 DSA signature: NOKEY, key ID 16a61572
error: Failed dependencies:
        mplayer-skin-default is needed by mplayer-gui-1.0pre7try2-2.i386
[root@FEDORA Downloads]#
it's a little bit confusing that they both depend on each other .... any help ??!!!!!
 
Old 11-28-2005, 03:31 PM   #2
doralsoral
Member
 
Registered: Aug 2003
Location: raleigh
Distribution: Gentoo 2005.1 x86_64
Posts: 931

Rep: Reputation: 31
rpm -i mplayer-skin-default.rpm mplayer-gui.rpm. install them both at the same time like this.
 
Old 11-29-2005, 03:20 AM   #3
sirkware
Member
 
Registered: Nov 2005
Location: Philippines
Distribution: Fedora Core 6 Test 1
Posts: 66

Rep: Reputation: 15
Refer to my post here:

http://www.linuxquestions.org/questi...02#post1974102
 
Old 11-30-2005, 11:00 AM   #4
waelaltaqi
Member
 
Registered: Sep 2005
Location: USA, TN
Distribution: CentOS & Ubuntu for Desktop
Posts: 454

Original Poster
Rep: Reputation: 31
GCC problem

i have Fedora core 4. annd i was able to install GUI maplyer interface and it worked fine untile i tried to play some MPEG clips. Mplayer crashed becauze of an error in my GCC compiler. Now, i know that maplyer requires a specific version of GCC , but i don't want to take it out cus i'm not sure if that migh effect any other program on my laptop. Please help cus i'm getting tired trying to play WMV clips on the internet .... thanks
 
Old 11-30-2005, 07:23 PM   #5
sirkware
Member
 
Registered: Nov 2005
Location: Philippines
Distribution: Fedora Core 6 Test 1
Posts: 66

Rep: Reputation: 15
If you will upgrade your GCC compiler properly, I dont think you will run into trouble with regards to your other applications that might be depending on that gcc version. You can either use yum or apt-get to do the upgrade for you and it will resolve all dependencies automatically.
 
Old 12-01-2005, 08:57 AM   #6
waelaltaqi
Member
 
Registered: Sep 2005
Location: USA, TN
Distribution: CentOS & Ubuntu for Desktop
Posts: 454

Original Poster
Rep: Reputation: 31
i have a newer GCC compiler

the GCC compiler that i have is newer than the one Mplayer is asking for. and i'm a little bit afraid cus i have a lto of software much more important than Mplayer .... anyway i will try that out and i will let you know ... thanks
 
Old 12-01-2005, 03:39 PM   #7
spooon
Senior Member
 
Registered: Aug 2005
Posts: 1,755

Rep: Reputation: 48
By the way the easiest way to install MPlayer is to add either Livna or the Freshrpms/Dries repos (but not both groups); and then do "yum install mplayer".
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
mplayer installation problem darkangel29 Linux - Newbie 7 12-16-2004 11:32 PM
MPlayer installation problem on SUSE 9.1 rayesteq Linux - Software 10 08-30-2004 08:26 AM
mplayer installation problem the app doesnot start Nadim Slackware 4 05-09-2004 09:31 PM
Mplayer Installation Problem! novkhan Linux - Software 5 04-20-2004 03:08 AM
mplayer installation problem captainchainsaw Linux - Software 4 10-29-2002 03:18 PM


All times are GMT -5. The time now is 10:05 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration